KDED4(8)

NAME
kded4 - KDE daemon - triggers Sycoca database updates when needed.

SYNOPSIS

kded4 [--help] [Generic options] [Qt-options] [KDE-options] [--check]

DESCRIPTION

 kded4 is responsible for creating the sycoca file, i.e. the binary cache of servicetypes, mimetypes, and services for a particular user.

It monitors the directories containing .desktop files. When a file is added/removed, it waits 5 seconds (in case of series of updates), and then launches kbuildsycoca.

GENERIC OPTIONS

--author
    Show author information.

--help
    Show help about options.

--help-all
    Show all options.

--help-kde
    Show KDE specific options.

--help-qt
    Show Qt specific options.

--license
    Show license information.

-v --version
    Show version information

APPLICATION OPTIONS

--check
    Check Sycoca database only once.

USAGE

If kded4 is called without parameters and is already running, it shows the message:

    KDE Daemon (kded) already running.

If kded4 is called with kded4 --check, then it updates the KDE sycoca using kbuildsycoca.

SEE ALSO

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

BUGS

There are probably tons of bugs. Use bugs.kde.org: http://bugs.kde.org to report them.

AUTHORS
David Faure <faure@kde.org>, Waldo Bastian <bastian@kde.org>.